Package org.apache.tools.ant.types.optional.imageio

# Class Arc

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.optional.imageio.ImageOperation
org.apache.tools.ant.types.optional.imageio.BasicShape
org.apache.tools.ant.types.optional.imageio.Arc

All Implemented Interfaces:
  `java.lang.Cloneable`, `DrawOperation`

    public class Arc
    extends BasicShape
    implements DrawOperation

Draw an arc.

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `Arc.ArcType` |

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.optional.imageio.BasicShape

`fill, height, stroke, strokeWidth, width`

### Fields inherited from class org.apache.tools.ant.types.optional.imageio.ImageOperation

`instructions`

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Arc()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.awt.image.BufferedImage` | `executeDrawOperation()` | Abstract method which is intended to create an image buffer and return it so it can be drawn into another object.
`void` | `setStart​(int start)` | Set the start of the arc.
`void` | `setStop​(int stop)` | Set the stop of the arc.
`void` | `setType​(Arc.ArcType arcType)` | Set the type of arc.

### Methods inherited from class org.apache.tools.ant.types.optional.imageio.BasicShape

`setFill, setHeight, setStroke, setStrokewidth, setWidth`

### Methods inherited from class org.apache.tools.ant.types.optional.imageio.ImageOperation

`addDraw, addRotate, addScale`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Arc

public Arc()

## Method Details

### setStart

public void setStart​(int start)
Set the start of the arc.

Parameters:
  `start` - the start of the arc.

### setStop

public void setStop​(int stop)
Set the stop of the arc.

Parameters:
  `stop` - the stop of the arc.

### setType

public void setType​(Arc.ArcType arcType)
Set the type of arc.

Parameters:
  `arcType` - the type to use - open, pie or chord.

### executeDrawOperation

public java.awt.image.BufferedImage executeDrawOperation()
Abstract method which is intended to create an image buffer and return it so it can be drawn into another object. Use an Alpha channel for a "transparent" background..

Specified by:
  `executeDrawOperation` in interface `DrawOperation`
Returns:
  a planar image